﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVB_RestBookService.CodeLists
{
    public class CodeList_007_productform : CodeList
    {

        public CodeList_007_productform()
        {
            codes.Add("", "");
            codes.Add("00", "Undefined");
            codes.Add("AA", "Audio");
            codes.Add("AB", "Audio cassette");
            codes.Add("AC", "CD-Audio");
            codes.Add("AD", "DAT Digital");
            codes.Add("AE", "Audio disc");
            codes.Add("AF", "Audio tape");
            codes.Add("AG", "MiniDisc");
            codes.Add("AH", "CD-Extra");
            codes.Add("AI", "DVD Audio");
            codes.Add("AJ", "Downloadable audio file");
            codes.Add("AK", "Pre-recorded digital audio player");
            codes.Add("AL", "Pre-recorded SD card");
            codes.Add("AZ", "Other audio format");
            codes.Add("BA", "Book");
            codes.Add("BB", "Hardback");
            codes.Add("BC", "Paperback / softback");
            codes.Add("BD", "Loose-leaf");
            codes.Add("BE", "Spiral bound");
            codes.Add("BF", "Pamphlet");
            codes.Add("BG", "Leather / fine binding");
            codes.Add("BH", "Board book");
            codes.Add("BI", "Rag book");
            codes.Add("BJ", "Bath book");
            codes.Add("BK", "Novelty book");
            codes.Add("BL", "Slide bound");
            codes.Add("BM", "Big book");
            codes.Add("BN", "Part-work (fascículo)");
            codes.Add("BO", "Fold-out book or chart");
            codes.Add("BP", "Foam book");
            codes.Add("BZ", "Other book format");
            codes.Add("CA", "Sheet map");
            codes.Add("CB", "Sheet map, folded");
            codes.Add("CC", "Sheet map, flat");
            codes.Add("CD", "Sheet map, rolled");
            codes.Add("CE", "Globe");
            codes.Add("CZ", "Other cartographic");
            codes.Add("DA", "Digital");
            codes.Add("DB", "CD-ROM");
            codes.Add("DC", "CD-I");
            codes.Add("DD", "DVD");
            codes.Add("DE", "Game cartridge");
            codes.Add("DF", "Diskette");
            codes.Add("DG", "Electronic book text");
            codes.Add("DH", "Online resource");
            codes.Add("DI", "DVD-ROM");
            codes.Add("DJ", "Secure Digital");
            codes.Add("DK", "Compact Flash Memory Card");
            codes.Add("DL", "Memory Stick Memory Card");
            codes.Add("DM", "USB Flash Drive");
            codes.Add("DN", "Double-sided CD/DVD");
            codes.Add("DO", "Digital product license key");
            codes.Add("DZ", "Other digital");
            codes.Add("FA", "Film or transparency");
            codes.Add("FB", "Film");
            codes.Add("FC", "Slides");
            codes.Add("FD", "OHP transparencies");
            codes.Add("FE", "Filmstrip");
            codes.Add("FF", "Film");
            codes.Add("FZ", "Other film or transparency format");
            codes.Add("MA", "Microform");
            codes.Add("MB", "Microfiche");
            codes.Add("MC", "Microfilm");
            codes.Add("MZ", "Other microform");
            codes.Add("PA", "Miscellaneous print");
            codes.Add("PB", "Address book");
            codes.Add("PC", "Calendar");
            codes.Add("PD", "Cards");
            codes.Add("PE", "Copymasters");
            codes.Add("PF", "Diary");
            codes.Add("PG", "Frieze");
            codes.Add("PH", "Kit");
            codes.Add("PI", "Sheet music");
            codes.Add("PJ", "Postcard book or pack");
            codes.Add("PK", "Poster");
            codes.Add("PL", "Record book");
            codes.Add("PM", "Wallet or folder");
            codes.Add("PN", "Pictures or photographs");
            codes.Add("PO", "Wallchart");
            codes.Add("PP", "Stickers");
            codes.Add("PQ", "Plate (lámina)");
            codes.Add("PR", "Notebook / blank book");
            codes.Add("PS", "Organizer");
            codes.Add("PT", "Bookmark");
            codes.Add("PZ", "Other printed item");
            codes.Add("VA", "Video");
            codes.Add("VB", "Video, VHS, PAL");
            codes.Add("VC", "Video, VHS, NTSC");
            codes.Add("VD", "Video, Betamax, PAL");
            codes.Add("VE", "Video, Betamax, NTSC");
            codes.Add("VF", "Videodisc");
            codes.Add("VG", "Video, VHS, SECAM");
            codes.Add("VH", "Video, Betamax, SECAM");
            codes.Add("VI", "DVD video");
            codes.Add("VJ", "VHS video");
            codes.Add("VK", "Betamax video");
            codes.Add("VL", "VCD");
            codes.Add("VM", "SVCD");
            codes.Add("VN", "HD DVD");
            codes.Add("VO", "Blu-ray");
            codes.Add("VP", "UMD Video");
            codes.Add("VZ", "Other video format");
            codes.Add("WW", "Mixed media product");
            codes.Add("WX", "Multiple copy pack");
            codes.Add("XA", "Trade-only material");
            codes.Add("XB", "Dumpbin – empty");
            codes.Add("XC", "Dumpbin – filled");
            codes.Add("XD", "Counterpack – empty");
            codes.Add("XE", "Counterpack – filled");
            codes.Add("XF", "Poster, promotional");
            codes.Add("XG", "Shelf strip");
            codes.Add("XH", "Window piece");
            codes.Add("XI", "Streamer");
            codes.Add("XJ", "Spinner");
            codes.Add("XK", "Large book display");
            codes.Add("XL", "Shrink-wrapped pack");
            codes.Add("XM", "Boxed pack");
            codes.Add("XZ", "Other point of sale");
            codes.Add("ZA", "General merchandise");
            codes.Add("ZB", "Doll");
            codes.Add("ZC", "Soft toy");
            codes.Add("ZD", "Toy");
            codes.Add("ZE", "Game");
            codes.Add("ZF", "T-shirt");
            codes.Add("ZG", "E-book reader");
            codes.Add("ZH", "Tablet computer");
            codes.Add("ZI", "Audiobook player");
            codes.Add("ZJ", "Jigsaw");
            codes.Add("ZY", "Other apparel");
            codes.Add("ZZ", "Other merchandise");
        }

    }
}
