﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVB_RestBookService.CodeLists
{
    public class CodeList_038_mediaFileType : CodeList
    {

        public CodeList_038_mediaFileType()
        {
            codes.Add("", "");
            codes.Add("01", "Gesamtes Produkt");
            codes.Add("02", "Software: Demo");
            codes.Add("03", "Bild: Umschlag");
            codes.Add("04", "Bild: Titelseite");
            codes.Add("05", "Bild: Umschlag (hohe Qualität)");
            codes.Add("06", "Bild: Titelseite (hohe Qualität)");
            codes.Add("07", "Bild: Titelseite (Miniaturbild)");
            codes.Add("08", "Bild: Mitwirkende");
            codes.Add("10", "Bild: Reihenbild");
            codes.Add("11", "Bild: Reihenlogo");
            codes.Add("12", "Bild: Produktlogo");
            codes.Add("16", "Bild: Markenlogo");
            codes.Add("17", "Bild: Verlagslogo");
            codes.Add("18", "Bild: Impressumslogo");
            codes.Add("22", "Bild: Inhaltsverzeichnis");
            codes.Add("23", "Bild: Leseprobe");
            codes.Add("24", "Bild: Rückseite");
            codes.Add("25", "Bild: Rückseite (hohe Qualität)");
            codes.Add("26", "Bild: Rückseite (Miniaturbild)");
            codes.Add("27", "Bild: Umschlag (verschiedenes)");
            codes.Add("28", "Bild: Werbematerial");
            codes.Add("29", "Video: nicht näher spezifiziert");
            codes.Add("30", "Audio: nicht näher spezifiziert");
            codes.Add("31", "Video: Vorstellung des Autors / Kommentare");
            codes.Add("32", "Video: Autoreninterview");
            codes.Add("33", "Video: Autorenlesung");
            codes.Add("34", "Video: Umschlag");
            codes.Add("35", "Video: Beispielinhalt");
            codes.Add("36", "Video: Werbematerial");
            codes.Add("37", "Video: Rezension");
            codes.Add("38", "Video: Andere Kommentare / Diskussion");
            codes.Add("41", "Audio: Vorstellung des Autors / Kommentare");
            codes.Add("42", "Audio: Autoreninterview");
            codes.Add("43", "Audio: Autorenlesung");
            codes.Add("44", "Audio: Beispielinhalt");
            codes.Add("45", "Audio: Werbematerial");
            codes.Add("46", "Audio: Rezension");
            codes.Add("47", "Audio: Andere Kommentare / Diskussion");
            codes.Add("51", "Software: Beispielinhalt");
            codes.Add("52", "Software: Werbematerial");



            /*codes.Add("", "");
            codes.Add("01", "Whole product");
            codes.Add("02", "Application: software demo");
            codes.Add("03", "Image: whole cover");
            codes.Add("04", "Image: front cover");
            codes.Add("05", "Image: whole cover, high quality");
            codes.Add("06", "Image: front cover, high quality");
            codes.Add("07", "Image: front cover thumbnail");
            codes.Add("08", "Image: contributor(s)");
            codes.Add("10", "Image: for series");
            codes.Add("11", "Image: series logo");
            codes.Add("12", "Image: product logo");
            codes.Add("16", "Image: Master brand logo");
            codes.Add("17", "Image: publisher logo");
            codes.Add("18", "Image: imprint logo");
            codes.Add("22", "Image: table of contents");
            codes.Add("23", "Image: sample content");
            codes.Add("24", "Image: back cover");
            codes.Add("25", "Image: back cover, high quality");
            codes.Add("26", "Image: back cover thumbnail");
            codes.Add("27", "Image: other cover material");
            codes.Add("28", "Image: promotional material");
            codes.Add("29", "Video segment: unspecified");
            codes.Add("30", "Audio segment: unspecified");
            codes.Add("31", "Video: author presentation / commentary");
            codes.Add("32", "Video: author interview");
            codes.Add("33", "Video: author reading");
            codes.Add("34", "Video: cover material");
            codes.Add("35", "Video: sample content");
            codes.Add("36", "Video: promotional material");
            codes.Add("37", "Video: review");
            codes.Add("38", "Video: other commentary / discussion");
            codes.Add("41", "Audio: author presentation / commentary");
            codes.Add("42", "Audio: author interview");
            codes.Add("43", "Audio: author reading");
            codes.Add("44", "Audio: sample content");
            codes.Add("45", "Audio: promotional material");
            codes.Add("46", "Audio: review");
            codes.Add("47", "Audio: other commentary / discussion");
            codes.Add("51", "Application: sample content");
            codes.Add("52", "Application: promotional material");*/
        }

    }
}
