﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;



namespace MVB_RestBookService.CodeLists
{
    public class CodeList_074_language : CodeList
    {

        public CodeList_074_language()
        {
            codes.Add("", "");
            codes.Add("aar", "Afar");
            codes.Add("abk", "Abkhaz");
            codes.Add("ace", "Achinese");
            codes.Add("ach", "Acoli");
            codes.Add("ada", "Adangme");
            codes.Add("ady", "Adygei");
            codes.Add("afa", "Afro-Asiatic languages");
            codes.Add("afh", "Afrihili");
            codes.Add("afr", "Afrikaans");
            codes.Add("ain", "Ainu");
            codes.Add("aka", "Akan");
            codes.Add("akk", "Akkadian");
            codes.Add("alb", "Albanian");
            codes.Add("ale", "Aleut");
            codes.Add("alg", "Algonquian languages");
            codes.Add("alt", "Southern Altai");
            codes.Add("amh", "Amharic");
            codes.Add("ang", "English, Old (ca. 450-1100)");
            codes.Add("anp", "Angika");
            codes.Add("apa", "Apache languages");
            codes.Add("ara", "Arabic");
            codes.Add("arc", "Official Aramaic; Imperial Aramaic (700-300 BCE)");
            codes.Add("arg", "Aragonese");
            codes.Add("arm", "Armenian");
            codes.Add("arn", "Mapudungun; Mapuche");
            codes.Add("arp", "Arapaho");
            codes.Add("art", "Artificial languages");
            codes.Add("arw", "Arawak");
            codes.Add("asm", "Assamese");
            codes.Add("ast", "Asturian; Bable; Leonese; Asturleonese");
            codes.Add("ath", "Athapascan languages");
            codes.Add("aus", "Australian languages");
            codes.Add("ava", "Avaric");
            codes.Add("ave", "Avestan");
            codes.Add("awa", "Awadhi");
            codes.Add("aym", "Aymara");
            codes.Add("aze", "Azerbaijani");
            codes.Add("bad", "Banda languages");
            codes.Add("bai", "Bamileke languages");
            codes.Add("bak", "Bashkir");
            codes.Add("bal", "Baluchi");
            codes.Add("bam", "Bambara");
            codes.Add("ban", "Balinese");
            codes.Add("baq", "Basque");
            codes.Add("bas", "Basa");
            codes.Add("bat", "Baltic languages");
            codes.Add("bej", "Beja; Bedawiyet");
            codes.Add("bel", "Belarusian");
            codes.Add("bem", "Bemba");
            codes.Add("ben", "Bengali");
            codes.Add("ber", "Berber languages");
            codes.Add("bho", "Bhojpuri");
            codes.Add("bih", "Bihari languages");
            codes.Add("bik", "Bikol");
            codes.Add("bin", "Bini; Edo");
            codes.Add("bis", "Bislama");
            codes.Add("bla", "Siksika");
            codes.Add("bnt", "Bantu languages");
            codes.Add("bos", "Bosnian");
            codes.Add("bra", "Braj");
            codes.Add("bre", "Breton");
            codes.Add("btk", "Batak languages");
            codes.Add("bua", "Buriat");
            codes.Add("bug", "Buginese");
            codes.Add("bul", "Bulgarian");
            codes.Add("bur", "Burmese");
            codes.Add("byn", "Blin; Bilin");
            codes.Add("cad", "Caddo");
            codes.Add("cai", "Central American Indian languages");
            codes.Add("car", "Galibi Carib");
            codes.Add("cat", "Catalan");
            codes.Add("cau", "Caucasian languages");
            codes.Add("ceb", "Cebuano");
            codes.Add("cel", "Celtic languages");
            codes.Add("cha", "Chamorro");
            codes.Add("chb", "Chibcha");
            codes.Add("che", "Chechen");
            codes.Add("chg", "Chagatai");
            codes.Add("chi", "Chinese");
            codes.Add("chk", "Chuukese (Truk)");
            codes.Add("chm", "Mari");
            codes.Add("chn", "Chinook jargon");
            codes.Add("cho", "Choctaw");
            codes.Add("chp", "Chipewyan; Dene Suline");
            codes.Add("chr", "Cherokee");
            codes.Add("chu", "Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic");
            codes.Add("chv", "Chuvash");
            codes.Add("chy", "Cheyenne");
            codes.Add("cmc", "Chamic languages");
            codes.Add("cop", "Coptic");
            codes.Add("cor", "Cornish");
            codes.Add("cos", "Corsican");
            codes.Add("cpe", "Creoles and pidgins, English-based");
            codes.Add("cpf", "Creoles and pidgins, French-based");
            codes.Add("cpp", "Creoles and pidgins, Portuguese-based");
            codes.Add("cre", "Cree");
            codes.Add("crh", "Crimean Turkish; Crimean Tatar");
            codes.Add("crp", "Creoles and pidgins");
            codes.Add("csb", "Kashubian");
            codes.Add("cus", "Cushitic languages");
            codes.Add("cze", "Czech");
            codes.Add("dak", "Dakota");
            codes.Add("dan", "Danish");
            codes.Add("dar", "Dargwa");
            codes.Add("day", "Land Dayak languages");
            codes.Add("del", "Delaware");
            codes.Add("den", "Slave (Athapascan)");
            codes.Add("dgr", "Dogrib");
            codes.Add("din", "Dinka");
            codes.Add("div", "Divehi; Dhivehi; Maldivian");
            codes.Add("doi", "Dogri");
            codes.Add("dra", "Dravidian languages");
            codes.Add("dsb", "Lower Sorbian");
            codes.Add("dua", "Duala");
            codes.Add("dum", "Dutch, Middle (ca. 1050-1350)");
            codes.Add("dut", "Dutch; Flemish");
            codes.Add("dyu", "Dyula");
            codes.Add("dzo", "Dzongkha");
            codes.Add("efi", "Efik");
            codes.Add("egy", "Egyptian (Ancient)");
            codes.Add("eka", "Ekajuk");
            codes.Add("elx", "Elamite");
            codes.Add("eng", "English");
            codes.Add("enm", "English, Middle (1100-1500)");
            codes.Add("epo", "Esperanto");
            codes.Add("est", "Estonian");
            codes.Add("ewe", "Ewe");
            codes.Add("ewo", "Ewondo");
            codes.Add("fan", "Fang");
            codes.Add("fao", "Faroese");
            codes.Add("fat", "Fanti");
            codes.Add("fij", "Fijian");
            codes.Add("fil", "Filipino; Pilipino");
            codes.Add("fin", "Finnish");
            codes.Add("fiu", "Finno-Ugrian languages");
            codes.Add("fkv", "Kvensk");
            codes.Add("fon", "Fon");
            codes.Add("fre", "French");
            codes.Add("frm", "French, Middle (ca. 1400-1600)");
            codes.Add("fro", "French, Old (ca. 842-1400)");
            codes.Add("frr", "Northern Frisian");
            codes.Add("frs", "Eastern Frisian");
            codes.Add("fry", "Western Frisian");
            codes.Add("ful", "Fulah");
            codes.Add("fur", "Friulian");
            codes.Add("gaa", "Gã");
            codes.Add("gay", "Gayo");
            codes.Add("gba", "Gbaya");
            codes.Add("gem", "Germanic languages");
            codes.Add("geo", "Georgian");
            codes.Add("ger", "German");
            codes.Add("gez", "Ethiopic (Ge’ez)");
            codes.Add("gil", "Gilbertese");
            codes.Add("gla", "Scottish Gaelic");
            codes.Add("gle", "Irish");
            codes.Add("glg", "Galician");
            codes.Add("glv", "Manx");
            codes.Add("gmh", "German, Middle High (ca. 1050-1500)");
            codes.Add("goh", "German, Old High (ca. 750-1050)");
            codes.Add("gon", "Gondi");
            codes.Add("gor", "Gorontalo");
            codes.Add("got", "Gothic");
            codes.Add("grb", "Grebo");
            codes.Add("grc", "Greek, Ancient (to 1453)");
            codes.Add("gre", "Greek, Modern (1453-)");
            codes.Add("grn", "Guarani");
            codes.Add("gsw", "Swiss German; Alemannic");
            codes.Add("guj", "Gujarati");
            codes.Add("gwi", "Gwich’in");
            codes.Add("hai", "Haida");
            codes.Add("hat", "Haitian French Creole");
            codes.Add("hau", "Hausa");
            codes.Add("haw", "Hawaiian");
            codes.Add("heb", "Hebrew");
            codes.Add("her", "Herero");
            codes.Add("hil", "Hiligaynon");
            codes.Add("him", "Himachali languages; Western Pahari languages");
            codes.Add("hin", "Hindi");
            codes.Add("hit", "Hittite");
            codes.Add("hmn", "Hmong; Mong");
            codes.Add("hmo", "Hiri Motu");
            codes.Add("hrv", "Croatian");
            codes.Add("hsb", "Upper Sorbian");
            codes.Add("hun", "Hungarian");
            codes.Add("hup", "Hupa");
            codes.Add("iba", "Iban");
            codes.Add("ibo", "Igbo");
            codes.Add("ice", "Icelandic");
            codes.Add("ido", "Ido");
            codes.Add("iii", "Sichuan Yi; Nuosu");
            codes.Add("ijo", "Ijo languages");
            codes.Add("iku", "Inuktitut");
            codes.Add("ile", "Interlingue; Occidental");
            codes.Add("ilo", "Iloko");
            codes.Add("ina", "Interlingua (International Auxiliary Language Association)");
            codes.Add("inc", "Indic languages");
            codes.Add("ind", "Indonesian");
            codes.Add("ine", "Indo-European languages");
            codes.Add("inh", "Ingush");
            codes.Add("ipk", "Inupiaq");
            codes.Add("ira", "Iranian languages");
            codes.Add("iro", "Iroquoian languages");
            codes.Add("ita", "Italian");
            codes.Add("jav", "Javanese");
            codes.Add("jbo", "Lojban");
            codes.Add("jpn", "Japanese");
            codes.Add("jpr", "Judeo-Persian");
            codes.Add("jrb", "Judeo-Arabic");
            codes.Add("kaa", "Kara-Kalpak");
            codes.Add("kab", "Kabyle");
            codes.Add("kac", "Kachin; Jingpho");
            codes.Add("kal", "Kalâtdlisut; Greenlandic");
            codes.Add("kam", "Kamba");
            codes.Add("kan", "Kannada");
            codes.Add("kar", "Karen languages");
            codes.Add("kas", "Kashmiri");
            codes.Add("kau", "Kanuri");
            codes.Add("kaw", "Kawi");
            codes.Add("kaz", "Kazakh");
            codes.Add("kbd", "Kabardian (Circassian)");
            codes.Add("kha", "Khasi");
            codes.Add("khi", "Khoisan languages");
            codes.Add("khm", "Central Khmer");
            codes.Add("kho", "Khotanese; Sakan");
            codes.Add("kik", "Kikuyu; Gikuyu");
            codes.Add("kin", "Kinyarwanda");
            codes.Add("kir", "Kirghiz; Kyrgyz");
            codes.Add("kmb", "Kimbundu");
            codes.Add("kok", "Konkani");
            codes.Add("kom", "Komi");
            codes.Add("kon", "Kongo");
            codes.Add("kor", "Korean");
            codes.Add("kos", "Kusaiean (Caroline Islands)");
            codes.Add("kpe", "Kpelle");
            codes.Add("krc", "Karachay-Balkar");
            codes.Add("krl", "Karelian");
            codes.Add("kro", "Kru languages");
            codes.Add("kru", "Kurukh");
            codes.Add("kua", "Kuanyama");
            codes.Add("kum", "Kumyk");
            codes.Add("kur", "Kurdish");
            codes.Add("kut", "Kutenai");
            codes.Add("lad", "Ladino");
            codes.Add("lah", "Lahnda");
            codes.Add("lam", "Lamba");
            codes.Add("lao", "Lao");
            codes.Add("lat", "Latin");
            codes.Add("lav", "Latvian");
            codes.Add("lez", "Lezgian");
            codes.Add("lim", "Limburgish");
            codes.Add("lin", "Lingala");
            codes.Add("lit", "Lithuanian");
            codes.Add("lol", "Mongo-Nkundu");
            codes.Add("loz", "Lozi");
            codes.Add("ltz", "Luxembourgish; Letzeburgesch");
            codes.Add("lua", "Luba-Lulua");
            codes.Add("lub", "Luba-Katanga");
            codes.Add("lug", "Ganda");
            codes.Add("lui", "Luiseño");
            codes.Add("lun", "Lunda");
            codes.Add("luo", "Luo (Kenya and Tanzania)");
            codes.Add("lus", "Lushai");
            codes.Add("mac", "Macedonian");
            codes.Add("mad", "Madurese");
            codes.Add("mag", "Magahi");
            codes.Add("mah", "Marshallese");
            codes.Add("mai", "Maithili");
            codes.Add("mak", "Makasar");
            codes.Add("mal", "Malayalam");
            codes.Add("man", "Mandingo");
            codes.Add("mao", "Maori");
            codes.Add("map", "Austronesian languages");
            codes.Add("mar", "Marathi");
            codes.Add("mas", "Masai");
            codes.Add("may", "Malay");
            codes.Add("mdf", "Moksha");
            codes.Add("mdr", "Mandar");
            codes.Add("men", "Mende");
            codes.Add("mga", "Irish, Middle (ca. 1100-1550)");
            codes.Add("mic", "Mi’kmaq; Micmac");
            codes.Add("min", "Minangkabau");
            codes.Add("mis", "Uncoded languages");
            codes.Add("mkh", "Mon-Khmer languages");
            codes.Add("mlg", "Malagasy");
            codes.Add("mlt", "Maltese");
            codes.Add("mnc", "Manchu");
            codes.Add("mni", "Manipuri");
            codes.Add("mno", "Manobo languages");
            codes.Add("moh", "Mohawk");
            codes.Add("mol", "Moldavian; Moldovan");
            codes.Add("mon", "Mongolian");
            codes.Add("mos", "Mooré; Mossi");
            codes.Add("mul", "Multiple languages");
            codes.Add("mun", "Munda languages");
            codes.Add("mus", "Creek");
            codes.Add("mwl", "Mirandese");
            codes.Add("mwr", "Marwari");
            codes.Add("myn", "Mayan languages");
            codes.Add("myv", "Erzya");
            codes.Add("nah", "Nahuatl languages");
            codes.Add("nai", "North American Indian languages");
            codes.Add("nap", "Neapolitan");
            codes.Add("nau", "Nauruan");
            codes.Add("nav", "Navajo");
            codes.Add("nbl", "Ndebele, South");
            codes.Add("nde", "Ndebele, North");
            codes.Add("ndo", "Ndonga");
            codes.Add("nds", "Low German; Low Saxon");
            codes.Add("nep", "Nepali");
            codes.Add("new", "Newari; Nepal Bhasa");
            codes.Add("nia", "Nias");
            codes.Add("nic", "Niger-Kordofanian languages");
            codes.Add("niu", "Niuean");
            codes.Add("nno", "Norwegian Nynorsk");
            codes.Add("nob", "Norwegian Bokmål");
            codes.Add("nog", "Nogai");
            codes.Add("non", "Old Norse");
            codes.Add("nor", "Norwegian");
            codes.Add("nqo", "N’Ko");
            codes.Add("nso", "Pedi; Sepedi; Northern Sotho");
            codes.Add("nub", "Nubian languages");
            codes.Add("nwc", "Classical Newari; Old Newari; Classical Nepal Bhasa");
            codes.Add("nya", "Chichewa; Chewa; Nyanja");
            codes.Add("nym", "Nyamwezi");
            codes.Add("nyn", "Nyankole");
            codes.Add("nyo", "Nyoro");
            codes.Add("nzi", "Nzima");
            codes.Add("oci", "Occitan (post 1500)");
            codes.Add("oji", "Ojibwa");
            codes.Add("ori", "Oriya");
            codes.Add("orm", "Oromo");
            codes.Add("osa", "Osage");
            codes.Add("oss", "Ossetian; Ossetic");
            codes.Add("ota", "Turkish, Ottoman");
            codes.Add("oto", "Otomian languages");
            codes.Add("paa", "Papuan languages");
            codes.Add("pag", "Pangasinan");
            codes.Add("pal", "Pahlavi");
            codes.Add("pam", "Pampanga; Kapampangan");
            codes.Add("pan", "Panjabi");
            codes.Add("pap", "Papiamento");
            codes.Add("pau", "Palauan");
            codes.Add("peo", "Old Persian (ca. 600-400 B.C.)");
            codes.Add("per", "Persian");
            codes.Add("phi", "Philippine languages");
            codes.Add("phn", "Phoenician");
            codes.Add("pli", "Pali");
            codes.Add("pol", "Polish");
            codes.Add("pon", "Ponapeian");
            codes.Add("por", "Portuguese");
            codes.Add("pra", "Prakrit languages");
            codes.Add("pro", "Provençal, Old (to 1500); Occitan, Old (to 1500)");
            codes.Add("pus", "Pushto; Pashto");
            codes.Add("qar", "Aranés");
            codes.Add("qav", "Valencian");
            codes.Add("que", "Quechua");
            codes.Add("raj", "Rajasthani");
            codes.Add("rap", "Rapanui");
            codes.Add("rar", "Rarotongan; Cook Islands Maori");
            codes.Add("roa", "Romance languages");
            codes.Add("roh", "Romansh");
            codes.Add("rom", "Romany");
            codes.Add("rum", "Romanian");
            codes.Add("run", "Rundi");
            codes.Add("rup", "Aromanian; Arumanian; Macedo-Romanian");
            codes.Add("rus", "Russian");
            codes.Add("sad", "Sandawe");
            codes.Add("sag", "Sango");
            codes.Add("sah", "Yakut");
            codes.Add("sai", "South American Indian languages");
            codes.Add("sal", "Salishan languages");
            codes.Add("sam", "Samaritan Aramaic");
            codes.Add("san", "Sanskrit");
            codes.Add("sas", "Sasak");
            codes.Add("sat", "Santali");
            codes.Add("scc", "Serbian");
            codes.Add("scn", "Sicilian");
            codes.Add("sco", "Scots (lallans)");
            codes.Add("scr", "Croatian");
            codes.Add("sel", "Selkup");
            codes.Add("sem", "Semitic languages");
            codes.Add("sga", "Irish, Old (to 1100)");
            codes.Add("sgn", "Sign languages");
            codes.Add("shn", "Shan");
            codes.Add("sid", "Sidamo");
            codes.Add("sin", "Sinhala; Sinhalese");
            codes.Add("sio", "Siouan languages");
            codes.Add("sit", "Sino-Tibetan languages");
            codes.Add("sla", "Slavic languages");
            codes.Add("slo", "Slovak");
            codes.Add("slv", "Slovenian");
            codes.Add("sma", "Southern Sami");
            codes.Add("sme", "Northern Sami");
            codes.Add("smi", "Sami languages");
            codes.Add("smj", "Lule Sami");
            codes.Add("smn", "Inari Sami");
            codes.Add("smo", "Samoan");
            codes.Add("sms", "Skolt Sami");
            codes.Add("sna", "Shona");
            codes.Add("snd", "Sindhi");
            codes.Add("snk", "Soninke");
            codes.Add("sog", "Sogdian");
            codes.Add("som", "Somali");
            codes.Add("son", "Songhai languages");
            codes.Add("sot", "Sotho; Sesotho");
            codes.Add("spa", "Spanish");
            codes.Add("srd", "Sardinian");
            codes.Add("srn", "Sranan Tongo");
            codes.Add("srp", "Serbian");
            codes.Add("srr", "Serer");
            codes.Add("ssa", "Nilo-Saharan languages");
            codes.Add("ssw", "Swazi; Swati");
            codes.Add("suk", "Sukuma");
            codes.Add("sun", "Sundanese");
            codes.Add("sus", "Susu");
            codes.Add("sux", "Sumerian");
            codes.Add("swa", "Swahili");
            codes.Add("swe", "Swedish");
            codes.Add("syc", "Classical Syriac");
            codes.Add("syr", "Syriac");
            codes.Add("tah", "Tahitian");
            codes.Add("tai", "Tai languages");
            codes.Add("tam", "Tamil");
            codes.Add("tat", "Tatar");
            codes.Add("tel", "Telugu");
            codes.Add("tem", "Temne; Time");
            codes.Add("ter", "Terena");
            codes.Add("tet", "Tetum");
            codes.Add("tgk", "Tajik");
            codes.Add("tgl", "Tagalog");
            codes.Add("tha", "Thai");
            codes.Add("tib", "Tibetan");
            codes.Add("tig", "Tigré");
            codes.Add("tir", "Tigrinya");
            codes.Add("tiv", "Tiv");
            codes.Add("tkl", "Tokelauan");
            codes.Add("tlh", "Klingon; tlhIngan-Hol");
            codes.Add("tli", "Tlingit");
            codes.Add("tmh", "Tamashek");
            codes.Add("tog", "Tonga (Nyasa)");
            codes.Add("ton", "Tongan");
            codes.Add("tpi", "Tok Pisin");
            codes.Add("tsi", "Tsimshian");
            codes.Add("tsn", "Tswana");
            codes.Add("tso", "Tsonga");
            codes.Add("tuk", "Turkmen");
            codes.Add("tum", "Tumbuka");
            codes.Add("tup", "Tupi languages");
            codes.Add("tur", "Turkish");
            codes.Add("tut", "Altaic languages");
            codes.Add("tvl", "Tuvaluan");
            codes.Add("twi", "Twi");
            codes.Add("tyv", "Tuvinian");
            codes.Add("udm", "Udmurt");
            codes.Add("uga", "Ugaritic");
            codes.Add("uig", "Uighur; Uyghur");
            codes.Add("ukr", "Ukrainian");
            codes.Add("umb", "Umbundu");
            codes.Add("und", "Undetermined language");
            codes.Add("urd", "Urdu");
            codes.Add("uzb", "Uzbek");
            codes.Add("vai", "Vai");
            codes.Add("ven", "Venda");
            codes.Add("vie", "Vietnamese");
            codes.Add("vol", "Volapük");
            codes.Add("vot", "Votic");
            codes.Add("wak", "Wakashan languages");
            codes.Add("wal", "Wolaitta; Wolaytta");
            codes.Add("war", "Waray");
            codes.Add("was", "Washo");
            codes.Add("wel", "Welsh");
            codes.Add("wen", "Sorbian languages");
            codes.Add("wln", "Walloon");
            codes.Add("wol", "Wolof");
            codes.Add("xal", "Kalmyk");
            codes.Add("xho", "Xhosa");
            codes.Add("yao", "Yao");
            codes.Add("yap", "Yapese");
            codes.Add("yid", "Yiddish");
            codes.Add("yor", "Yoruba");
            codes.Add("ypk", "Yupik languages");
            codes.Add("zap", "Zapotec");
            codes.Add("zbl", "Blissymbols; Blissymbolics; Bliss");
            codes.Add("zen", "Zenaga");
            codes.Add("zha", "Zhuang; Chuang");
            codes.Add("znd", "Zande languages");
            codes.Add("zul", "Zulu");
            codes.Add("zun", "Zuni");
            codes.Add("zxx", "No linguistic content");
        }

    }
}
