﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MVB_RestBookService
{
    public partial class LoginFrame : Form
    {
        //Members
        public string password;



        public LoginFrame()
        {
            InitializeComponent();

            KeyUp += LoginFrame_KeyUp;
        }



        private void button_OK_Click(object sender, EventArgs e)
        {
            password = waterMarkTextBox_password.Text;
            this.Close();
        }



        private void waterMarkTextBox_password_TextChanged(object sender, EventArgs e)
        {
            button_OK.Enabled = !string.IsNullOrWhiteSpace(waterMarkTextBox_password.Text);
        }



        private void LoginFrame_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                if (!string.IsNullOrWhiteSpace(waterMarkTextBox_password.Text))
                {
                    button_OK_Click(null, null);
                }
            }
        }
    }
}
